Update Memo
UpdateMemo updates the memo fields listed in update_mask. Requires the memo creator or an instance administrator.
Path Parameters
The memo id.
Query Parameters
Required. The fields to update. Supported paths: content, visibility, space, pinned, state, create_time, update_time, location, attachments, relations.
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Memo is a Markdown note written by a user.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/memos/string" \ -H "Content-Type: application/json" \ -d '{ "content": "string", "visibility": "VISIBILITY_UNSPECIFIED", "state": "STATE_UNSPECIFIED" }'{ "name": "string", "creator": "string", "space": "string", "content": "string", "location": { "placeholder": "string", "latitude": 0.1, "longitude": 0.1 }, "visibility": "VISIBILITY_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "pinned": true, "attachments": [ { "name": "string", "creator": "string", "filename": "string", "type": "string", "content": "string", "externalLink": "string", "motionMedia": { "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED", "role": "MOTION_MEDIA_ROLE_UNSPECIFIED", "groupId": "string", "presentationTimestampUs": "string", "hasEmbeddedVideo": true }, "mediaMetadata": { "width": 0, "height": 0, "photo": { "captureTime": { "localDateTime": "string", "utcOffset": "string" }, "location": { "latitude": 0.1, "longitude": 0.1, "altitudeMeters": 0.1 }, "sourceExifOrientation": 0, "cameraMake": "string", "cameraModel": "string", "lensModel": "string", "fNumber": 0.1, "exposureTimeSeconds": 0.1, "iso": 0, "focalLengthMm": 0.1 }, "video": { "durationSeconds": 0.1 } }, "memo": "string", "size": "string", "createTime": "2019-08-24T14:15:22Z" } ], "relations": [ { "memo": { "name": "string", "snippet": "string" }, "relatedMemo": { "name": "string", "snippet": "string" }, "type": "TYPE_UNSPECIFIED" } ], "reactions": [ { "name": "string", "creator": "string", "reactionType": "string", "createTime": "2019-08-24T14:15:22Z" } ], "parent": "string", "tags": [ "string" ], "property": { "title": "string", "hasLink": true, "hasCode": true, "hasTaskList": true, "hasIncompleteTasks": true }, "snippet": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z"}Set Memo Relations
SetMemoRelations replaces the full set of mutable REFERENCE relations on a memo. COMMENT relations are immutable creation context and are rejected by this RPC. An empty list clears references without changing COMMENT. Requires the memo creator or an instance administrator.
Upsert Memo Reaction
UpsertMemoReaction adds or updates the authenticated user's reaction on a memo. Requires read access to the memo.